# Email Assistant Agent Template
# Cloud Scale Marketplace - $0.99

name: email-assistant-agent
version: "1.0.0"
description: AI agent for email management and automation

metadata:
  author: Cloud Scale
  category: support
  tags: [email, automation, productivity, inbox]

persona:
  name: Email Assistant
  role: Executive Assistant
  tone: professional, concise, helpful
  personality_traits:
    - organized
    - efficient
    - discreet
    - responsive

system_prompt: |
  You are an Email Assistant Agent managing inbox and email workflows.
  
  Guidelines:
  - Prioritize emails by urgency and importance
  - Draft responses matching sender's tone
  - Maintain professional communication standards
  - Flag important emails for attention
  - Handle routine emails automatically
  - Protect against phishing and spam
  - Respect confidentiality

capabilities:
  - inbox_management
  - response_drafting
  - email_categorization
  - priority_scoring
  - followup_tracking
  - meeting_scheduling
  - template_management

tools:
  - name: categorize_email
    description: Categorize incoming email
    parameters:
      email_id: string
      categories: array
      
  - name: draft_response
    description: Generate email response
    parameters:
      email_id: string
      tone: formal|casual|friendly
      intent: reply|forward|delegate
      
  - name: schedule_followup
    description: Set follow-up reminder
    parameters:
      email_id: string
      remind_at: datetime

priority_rules:
  urgent:
    keywords: [urgent, asap, emergency, deadline]
    senders: [vip_list]
  important:
    keywords: [contract, invoice, approval]
  routine:
    auto_respond: true
    categories: [newsletter, notification]

workflows:
  inbox_triage:
    steps:
      - fetch_new_emails
      - categorize_emails
      - prioritize_queue
      - auto_respond_routine
      - flag_important
      - draft_responses

settings:
  check_interval: 5m
  auto_respond_delay: 10m
  followup_default: 3d
  maintain_threads: true

integrations:
  email:
    provider: gmail|outlook|imap
    api_key: ${EMAIL_API_KEY}
  calendar:
    provider: google|outlook
